Advice pleeeaaaase !! Mac os x compatabilty with TRAKTOR FS 1.5
Results 1 to 2 of 2
  1. #1
    Newbie
    Join Date
    Apr 2013
    Posts
    1

    Default Advice pleeeaaaase !! Mac os x compatabilty with TRAKTOR FS 1.5

    Hi There, Ive recently bought a new mac book pro a few months ago and im trying to install traktor fs v1.5. It seems to install ok but when I restart it and click on the FS icon an error message appears 'You can’t open the application “TraktorFS” because PowerPC applications are no longer supported. I understand that the FS software is old (2004) and this may be causing the problem. Is there any updates or software I can add to allow FS to work on the mac ? I have been on the NI website and tried to find information on this but cant find anything.
    It just seems a waste to get rid of it. My set up is 2 x vestax pdx 2000 and pioneer djm600. Its an old set up but works for me. I used to run it off an old windows lap top running xp which has since died,

    If anyone can help I would reeally appreciate it.

    Thanks !!!

    Mike

  2. #2
    DJTT Administrator del Ritmo padi_04's Avatar
    Join Date
    Nov 2009
    Location
    Argentina
    Posts
    6,493

    Default

    both lion and mountain lion don't support PPC apps, you need to roll back to snow leopard to be able to use it or update to traktor scratch (with a supported audio interface). The tts and mixer you are using won't matter, FS is a discontinued product that doesn't work with intel only mac osx.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •